Bug 195629 - Internal gcc compiler error when building GDL 0.9prep2 source code
Internal gcc compiler error when building GDL 0.9prep2 source code
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2006-06-15 21:26 EDT by Ioannis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-16 09:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preprocessed source (1.84 MB, text/plain)
2006-06-15 21:26 EDT, Ioannis
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 28058 None None None Never

  None (edit)
Description Ioannis 2006-06-15 21:26:41 EDT
Description of problem:
compiling gdl 0.9prep2 source code using -O3 produces an internal compiler error:

datatypes.cpp: In constructor ‘Data_< <template-parameter-1-1> >::Data_(const
dimension&, BaseGDL::InitType) [with Sp = SpDObj]’:
datatypes.cpp:3550: internal compiler error: Segmentation fault

it compiles fine with -O2

Version-Release number of selected component (if applicable):
gcc (GCC) 4.1.1 20060525 (Red Hat 4.1.1-1)

How reproducible:
it happens everytime

Steps to Reproduce:
1. download gdl-0.9pre2 source files
2. set CFLAGS and CXXFLAGS to -O3 and configure
3. make

Actual results:
compiler internal error 

Expected results:
normal compilation

Additional info:
Comment 1 Ioannis 2006-06-15 21:26:42 EDT
Created attachment 131018 [details]
Preprocessed source
Comment 2 Jakub Jelinek 2006-06-16 09:04:51 EDT
Tracking upstream.

Note You need to log in before you can comment on or make changes to this bug.